.TH XACT l "November 1993" NCAR "NCAR/ATD/RDP Local Command"
.SH NAME
xact \- the X Answer to Color Table editors
.SH SYNOPSIS
.B xact
[
.B number_of_colors
]

.SH DESCRIPTION
.IX  "xact command"  ""  "\fLpwd\fP \(em X Answer to Color Table editors"
.LP
.LP
.B Xact
is a general purpose color table editor with numerous
editing functions and an X11 graphical user interface.
The xact window consists of
a primary color slider area on the left,
a color cell area on the right,
and a function button area on the top.

.SH ADJUSTING COLORS
The currently selected color cell's color can be set
by adjusting the values of the three additive primary colors
(red, green, and blue) using a mouse and X sliders.
Clicking the left mouse button on one of the primary color sliders
causes the amount of the primary in the selected color cell to
increment.
Clicking the right mouse button causes the primary to decrement.
Clicking and dragging the middle mouse button causes the primary to
move with the mouse.
There is a hexadecimal numeric display over each primary color slider
that indicates the current value.

.SH SELECTING COLOR CELLS
To select a particular color cell simply click on the empty
black "selector" box above the desired cell with the left mouse button.  A
.B *
character will appear in the selector box.
The primary sliders now control the color in that cell.
To select another cell, either click on another selector
or use the green arrow buttons "<<", "<", ">", and ">>"
which will select the far left cell, the next cell to the left,
the next cell to the right, or the far right cell.
.LP
Many of the functions cover a sequential group of cells and
require a second cell selection.
These functions have yellow buttons.
To mark the secondary selection, place the mouse over the
desired cell and press the right mouse button.  A
.B ^
character will appear in the selector box.

.B [<>]
The <> button causes the two marks, * and ^ to exchange places.
This function is useful for setting new endpoint colors while
using the two-marker functions.
.LP

.SH FUNCTIONS
Most of the buttons on the top two rows control the various functions that
xact can perform.  All functions are selected by moving the mouse pointer over
the button and pressing the left mouse button.
.LP

.B [Quit]
The Quit button causes xact to exit to the operating system,
no questions asked.
.LP

.B [Clear]
The Clear button causes xact to clear all of the color cells to the
initial state and reset the pointers.
.LP

.B [Insert]
The Insert button causes all of the color cells from the * selected cell
to the right to move right one space.  A gray cell is inserted at the
*.  This function is useful for adding new colors to a table.
Note that the right most color will fall off the end.
.LP

.B [Remove]
The Remove button causes the color at the * selected cell to disappear and
all of the cells to the right of the * move to the left one space.  A gray
cell is inserted at the right side of the table.  This function is used for
removing colors from a table.
.LP

.B [Preset]
The Preset button causes the color at the * selected cell to change to one
of several preset colors.  This function is useful for starting work on
a new table.
.LP

.B [Span]
The Span button causes the color at the * mark to be spread between
the cells marked with the * and ^ characters.
This function is useful for creating tables with large blocks of the
same color.
.LP

.B [Swap]
The Swap button causes the colors at the * and ^ marked cells to
exchange places.  This function is useful for changing the order
of the colors in a table.
.LP

.B [Flip]
The Flip button causes all of the colors between the * and ^ marks to
reverse positions.  The Flip function is useful for inverting the order
of a section of a color table.
.LP

.B [Move<]
The Move< button causes all of the colors between the * and ^ marks to
move to the left one position.  The two marks move with the colors.
The color cell on the left of the moved section moves to the right
of the section.
.LP

.B [Move>]
The Move> button causes all of the colors between the * and ^ marks to
move to the right one position.  The two marks move with the colors.
The color cell on the left right of the moved section moves to the left
of the section.  The move functions are useful for changing the placement
of a group of colors within the color table.
.LP

.B [Roll<]
The Roll< button causes all of the colors between the * and ^ marks to
shift to the left one position with the left most color moving to the
right most position.
.LP

.B [Roll>]
The Roll> button causes all of the colors between the * and ^ marks to
shift to the right one position with the right most color moving to the
left most position.
The Roll functions are useful for reordering color tables.
.LP

.B [Flip]
The Flip button causes all of the colors between the * and ^ marks to
reverse positions.  The Flip function is useful for inverting the order
of a section of a color table.
.LP

.B [Smooth]
The Smooth button creates a smooth color transition between the cells
marked with the * and ^ characters.  The colors at the end points
do not change and all colors in between will be replaced.
This function is useful for creating smoothly changing color tables.
.LP

.B [Smear]
The Smear button performs a low-pass filter operation on the cells between
the * and ^ characters.
The colors at the end points do not change and the colors in between
will be modified to be closer to the colors of their neighboring colors.
This function is used to even out the transitions
in a table with many different color values.
The Smear button may be pressed multiple times for more effect.

.SH UNDO
.B [Undo]
The Undo button reverses the effect of the previous color change.
Undo does not change either of the color selector positions.

.SH FILE I/O
.B [Read]
The Read button causes xact to pop up the file selector widget.
To read in a file, move the mouse into the white text
area on the
.B filename
widget, type in the name of the file that you would
like to read, and press the
.B OK
button or a carriage return.
If you change your mind and don't want to read a file, press the
.B Cancel
button.
If the file is not in the current directory, specify the full path
of the file.
.LP
Note that the current file type must match the
file you are reading.  See the next function for details.
.LP

.B [Type]
The Type button causes xact to cycle through all of the color table
file types that it supports.  All file read and write functions will
use the current type.
The default type is ASCII.
Currently, the following types are supported: ASCII (Human readable),
PS (PostScript), CFM (RDSS Radar Editor and Perusal) and Zeb.
Note that the CFM type has a fixed length of 128 colors.
.LP

.B [Write]
The Write button causes xact to pop up the file selector widget.
See the Read function above for details.  The file will be written
in the format of the currently selected
.B Type.

.SH FILES
There are some useful color tables stored in the /rdss/xact/colortable
directory and its subdirectories.
A good table to read in for experimentation with the editor is
/rdss/xact/colortable/ascii/rainbow16.asc.

.SH BUGS
The * and ^ marks are partially obscured when editing large colortables.

.SH AUTHOR
G. Forrest Cook, NCAR/ATD/RDP

